__doc__ = '''Product ImapClient'''

from ImageFile import ImageFile

# Import the module(s) containing product-specific objects
import ImapClient
import Imap
import ImapUtil
import ImapMailbox
import ImapFolder
import ImapMessage
import Sieve



# Product meta-data:

# Names of objects added by this product:
meta_types=(
	{'name':'ImapClient','action':'manage_addImapClientForm'},
	{'name':'ImapMailbox','action':'manage_addImapMailboxForm'},
	)

# Attributes (usually "methods") to be added to folders to support
# creating objects:
methods={
	'manage_addImapClientForm': ImapClient.addImapClientForm,
	'manage_addImapClient': ImapClient.addImapClient,
	'manage_addImapMailboxForm': ImapClient.addImapMailboxForm,
	'manage_addImapMailbox': ImapClient.addImapMailbox
	} 

# Permission to be added to folders:
__ac_permissions__=(
	# To add items:
	('Add ImapClients', ('manage_addImapClientForm','manage_addImapClient')),
	# To manipulate item permissions at a high level.  Note that the
	# list of objects is empty, since we are just providing a place
	# to put acquired settings:
	('Change ImapClients', ()),
	)

# Define shared web objects that are used by products.
# This is usually (always ?) limited to images used 
# when displaying an object ub contents lists.
# These objects are accessed as:
#   <!--#var SCRIPT_NAME-->/misc_/Product/name
misc_={
	'Main': ImageFile('icon.gif',globals()),
	'Mailbox': ImageFile('folder.gif',globals()),
	'Folder': ImageFile('folder.gif',globals()),
	'Message': ImageFile('document.gif',globals())
	}

